Package edu.wisc.game.saved

## Class TranscriptManager

- java.lang.Object
- - edu.wisc.game.saved.TranscriptManager

-     public class TranscriptManager
      extends Object

  An auxiliary class for writing and reading transcript files. It is used both in the server in real time, and during later post factum analysis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TranscriptManager.ReadTranscriptData` | Some of the transcript data read back from a file.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TranscriptManager()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HashMap<String,​EpisodeHandle>` | `findRuleSetNames​(String exp, AnalyzeTranscripts.TrialListMap trialListMap, File detailedTranscriptsFile)` | This method is used as a helper in a unit test for ReplayedEpisode; its purpose is to find rule set names for various episodes without accessing the SQL server.
    `static void` | `saveTranscriptToFile​(String pid, String eid, File f, Vector<Episode.Pick> transcript, boolean includeFollow)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranscriptManager

          public TranscriptManager()

  - ### Method Detail

    - #### saveTranscriptToFile

          public static void saveTranscriptToFile​(String pid,
                                                  String eid,
                                                  File f,
                                                  Vector<Episode.Pick> transcript,
                                                  boolean includeFollow)

    - #### findRuleSetNames

          public static HashMap<String,​EpisodeHandle> findRuleSetNames​(String exp,
                                                                             AnalyzeTranscripts.TrialListMap trialListMap,
                                                                             File detailedTranscriptsFile)
                                                                      throws IOException,
                                                                             IllegalInputException

      This method is used as a helper in a unit test for ReplayedEpisode; its purpose is to find rule set names for various episodes without accessing the SQL server.
      Parameters:
        `detailedTranscriptsFile` - A detailed transcript file, from which the rule set names will be obtained

                    % more ./detailed-transcripts/RU-FDCL-basic-auto-20241105-113759-EPVDYK.detailed-transcripts.csv
            #playerId,trialListId,seriesNo,ruleId,episodeNo,episodeId,moveNo,timestamp,reactionTime,objectType,objectId,y,x,bucketId,by,bx,code,objectCnt
            RU-FDCL-basic-auto-20241105-113759-EPVDYK,basic-07-A,0,FDCL/basic/ordL1,0,20241105-113932-D9DX8Y,0,20241105-113934.266,2.149,RED_SQUARE,0,1,1,,,,7,9

      Throws:
        `IOException`
        `IllegalInputException`